[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# unlock_linear_region

Unlock linear memory region

## Declaration

Source position: go32.pp line 143

`function unlock_linear_region(`
`linearaddr: LongInt;`
`size: LongInt`
`):Boolean;`

## Description

Unlocks a previously locked linear region range to allow it to be swapped out again if needed.

Parameters:

linearaddr
  linear address of the memory to be unlocked.
size
  size bytes to be unlocked.

Return values: True if successful, False otherwise.

## Errors

Check the int31error variable.

## See also

unlock_data |  | Unlock data segment
unlock_code |  | Unlock code segment
lock_linear_region |  | Lock linear memory region
lock_data |  | Lock data memory range
lock_code |  | Lock code memory range

Documentation generated on: Feb 26 2014